<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:29 CEST 2014 -->
<title>Uses of Class org.java_websocket.WebSocketAdapter</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Uses of Class org.java_websocket.WebSocketAdapter";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/class-use/WebSocketAdapter.html" target="_top">Frames</a></li>
<li><a href="WebSocketAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.java_websocket.WebSocketAdapter" class="title">Uses of Class<br>org.java_websocket.WebSocketAdapter</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#fr.inria.alpage.frmgcm.server">fr.inria.alpage.frmgcm.server</a></td>
<td class="colLast">
<div class="block">This package contains the classes defining the server(s) run by the application.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.java_websocket">org.java_websocket</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.java_websocket.client">org.java_websocket.client</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.java_websocket.server">org.java_websocket.server</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="fr.inria.alpage.frmgcm.server">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a> in <a href="../../../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a> in <a href="../../../fr/inria/alpage/frmgcm/server/package-summary.html">fr.inria.alpage.frmgcm.server</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html" title="class in fr.inria.alpage.frmgcm.server">FRMGWebSocketServer</a></strong></code>
<div class="block">A simple WebSocketServer implementation.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a> in <a href="../../../org/java_websocket/package-summary.html">org.java_websocket</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/package-summary.html">org.java_websocket</a> with parameters of type <a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></code></td>
<td class="colLast"><span class="strong">WebSocketFactory.</span><code><strong><a href="../../../org/java_websocket/WebSocketFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               <a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocket.html" title="interface in org.java_websocket">WebSocket</a></code></td>
<td class="colLast"><span class="strong">WebSocketFactory.</span><code><strong><a href="../../../org/java_websocket/WebSocketFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               java.util.List&lt;<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.client">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a> in <a href="../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a> in <a href="../../../org/java_websocket/client/package-summary.html">org.java_websocket.client</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/client/WebSocketClient.html" title="class in org.java_websocket.client">WebSocketClient</a></strong></code>
<div class="block">A subclass must implement at least <var>onOpen</var>, <var>onClose</var>, and <var>onMessage</var> to be
 useful.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.java_websocket.server">
<!--   -->
</a>
<h3>Uses of <a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a> in <a href="../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a></h3>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a> in <a href="../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.html" title="class in org.java_websocket.server">WebSocketServer</a></strong></code>
<div class="block"><tt>WebSocketServer</tt> is an abstract class that only takes care of the
 HTTP handshake portion of WebSockets.</div>
</td>
</tr>
</tbody>
</table>
<table border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../org/java_websocket/server/package-summary.html">org.java_websocket.server</a> with parameters of type <a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">WebSocketServer.WebSocketServerFactory.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               <a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">DefaultWebSocketServerFactory.</span><code><strong><a href="../../../org/java_websocket/server/DefaultWebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               <a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">DefaultSSLWebSocketServerFactory.</span><code><strong><a href="../../../org/java_websocket/server/DefaultSSLWebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20org.java_websocket.drafts.Draft,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               <a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;d,
               java.net.Socket&nbsp;c)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">WebSocketServer.WebSocketServerFactory.</span><code><strong><a href="../../../org/java_websocket/server/WebSocketServer.WebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               java.util.List&lt;<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;drafts,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">DefaultWebSocketServerFactory.</span><code><strong><a href="../../../org/java_websocket/server/DefaultWebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               java.util.List&lt;<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></code></td>
<td class="colLast"><span class="strong">DefaultSSLWebSocketServerFactory.</span><code><strong><a href="../../../org/java_websocket/server/DefaultSSLWebSocketServerFactory.html#createWebSocket(org.java_websocket.WebSocketAdapter,%20java.util.List,%20java.net.Socket)">createWebSocket</a></strong>(<a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">WebSocketAdapter</a>&nbsp;a,
               java.util.List&lt;<a href="../../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&gt;&nbsp;d,
               java.net.Socket&nbsp;s)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../org/java_websocket/WebSocketAdapter.html" title="class in org.java_websocket">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/java_websocket/class-use/WebSocketAdapter.html" target="_top">Frames</a></li>
<li><a href="WebSocketAdapter.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
